Subject: Re: 2.6.24-rc3-mm2 - Build Failure on powerpc timerfd() undeclared

From: Arnd Bergmann <[email-masked]>
Date: Thu, 29 Nov 2007 01:57:51 +0100

On Wednesday 28 November 2007 19:43:45 Andrew Morton wrote:
> > I guess all architectures except x86 are currently broken because they
> > reference the old sys_timerfd function.
>
> None of them were broken in my testing and I'm unsure why powerpc broke
> here.

PowerPC is unique in that it actually relies on the declarations
in include/{linux,asm}/syscalls.h to be present, because the
spu_syscall_table is generated from C code, not from assembly.
One reason why I did this was to be sure to find this exact
type of problem at compile-time, not at link time.

	Arnd <><